오늘 debian lenny 5.04 설치햇는데요... 꼭답변점

Submitted by songkang on Fri, 03/05/2010 - 18:26

오늘 debian lenny 5.0.4를 설치했습니다. X윈도우나 이런거는 설치하지 않았고요.. TUI로 작업을 합니다.
그런데 이전 debian 버전에서는 설치되던 dselect가 설치안됏어요 ㅠㅠ
제가 빼놓고 설치를 한것 같은데요..
dselect라고 명령을 치면

-bash: dselect: command not found

라고 뜨네요 apt-get 이나 aptitude로 dselect를 설치할수 있는 방법을 알려주세요
아니면 다른 방법이라도...

westporch

Submitted: Fri, 03/05/2010 - 21:23

Modified: Wed, 05/03/2017 - 18:33

debian lenny를 설치하면 기본적으로 dselect는 설치되지 않습니다.
따라서, 사용자가 따로 dselect를 설치해야 합니다.
apt-get install dselect
를 이용해 dselect를 설치할 수 있습니다.

혹은 http://ftp.debian.org/debian//pool/main/d/dpkg/ 
위 사이트에 접속하여 dselect의 deb파일을 저장매체에 담아서
(인텔 cpu를 사용한다면 dselect_1.14.28_i386.deb, amd cpu를 사용한다면 dselect_1.14.28_amd64.deb를 다운 받아주세요)
dpkg -i dselect*.deb
하시면 설치할 수 있습니다.

songkang님 주말 잘 보내세요~

 (인텔 cpu를 사용한다면 dselect_1.14.28_i386.deb, amd cpu를 사용한다면 dselect_1.14.28_amd64.deb를 다운 받아주세요)

i386과 amd64 의 의미는 32bit, 64bit의 의미입니다. cpu 제조사와는 상관이 없습니다.
즉, debian OS 설치 시 64bit를 설치했으면, cpu가 intel 이든 amd 이든 amd64 deb 파일을 설치하고, 32bit 를 설치했으면, i386을 설치하면 됩니다.
amd64 라고 붙인 이유가 64bit processor를 AMD가 먼저 출시했기 때문에 그렇게 이름을 붙였을 뿐입니다.
intel도 나중에 64bit processor가 나왔는데, 굳이 이름 명명법을 고치지 않은 것입니다.